### Method

# Fwupd Client add_hwid

since: 2.1.7

#### Declaration [src]

    void
    fwupd_client_add_hwid (
      FwupdClient* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Adds a HwID entry.

Available since: 2.1.7

#### Parameters

`key`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.